# TdApi.ProcessPushNotification (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ProcessPushNotification

Package it.tdlight.jni

# Class TdApi.ProcessPushNotification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ProcessPushNotification

Enclosing class:
  TdApi

    public static class TdApi.ProcessPushNotification
    extends TdApi.Function

Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `payload` | JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ProcessPushNotification()` | Handles a push notification.
`ProcessPushNotification​(DataInput input)` |
`ProcessPushNotification​(String payload)` | Handles a push notification.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### payload

public String payload
JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ProcessPushNotification

public ProcessPushNotification()
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

### ProcessPushNotification

public ProcessPushNotification​(String payload)
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

Parameters:
  `payload` - String JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

### ProcessPushNotification

public ProcessPushNotification​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`